#! /bin/sh

# Guess values for system-dependent variables and create Makefiles.
# Generated automatically using autoconf version 2.13 
# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
#
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

# Defaults:
ac_help=
ac_default_prefix=/usr/local
# Any additions from configure.in:
ac_help="$ac_help
--with-vmedrv	use KiNOKO vmedrv (SBS Model 617/618/620 VME driver)"
ac_help="$ac_help
--with-frcvme	use FRCVME (FGA5x00 VME driver)"
ac_help="$ac_help
--with-camdrv	use KiNOKO camdrv (CC/7x00 CAMAC driver)"
ac_help="$ac_help
--with-kekcamlib	use KEK CAMAC Library"
ac_help="$ac_help
--with-zlib	use zlib compression library"
ac_help="$ac_help
--with-readline	use GNU readline library"
ac_help="$ac_help
--with-PostgreSQL	use PostgreSQL database"
ac_help="$ac_help
--with-MySQL	use MySQL database"
ac_help="$ac_help
--with-SQLite	use SQLite database"
ac_help="$ac_help
--with-gemini	use GEMINI library"
ac_help="$ac_help
--with-root		use ROOT"

# Initialize some variables set by options.
# The variables have the same names as the options, with
# dashes changed to underlines.
build=NONE
cache_file=./config.cache
exec_prefix=NONE
host=NONE
no_create=
nonopt=NONE
no_recursion=
prefix=NONE
program_prefix=NONE
program_suffix=NONE
program_transform_name=s,x,x,
silent=
site=
srcdir=
target=NONE
verbose=
x_includes=NONE
x_libraries=NONE
bindir='${exec_prefix}/bin'
sbindir='${exec_prefix}/sbin'
libexecdir='${exec_prefix}/libexec'
datadir='${prefix}/share'
sysconfdir='${prefix}/etc'
sharedstatedir='${prefix}/com'
localstatedir='${prefix}/var'
libdir='${exec_prefix}/lib'
includedir='${prefix}/include'
oldincludedir='/usr/include'
infodir='${prefix}/info'
mandir='${prefix}/man'

# Initialize some other variables.
subdirs=
MFLAGS= MAKEFLAGS=
SHELL=${CONFIG_SHELL-/bin/sh}
# Maximum number of lines to put in a shell here document.
ac_max_here_lines=12

ac_prev=
for ac_option
do

  # If the previous option needs an argument, assign it.
  if test -n "$ac_prev"; then
    eval "$ac_prev=\$ac_option"
    ac_prev=
    continue
  fi

  case "$ac_option" in
  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
  *) ac_optarg= ;;
  esac

  # Accept the important Cygnus configure options, so we can diagnose typos.

  case "$ac_option" in

  -bindir | --bindir | --bindi | --bind | --bin | --bi)
    ac_prev=bindir ;;
  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
    bindir="$ac_optarg" ;;

  -build | --build | --buil | --bui | --bu)
    ac_prev=build ;;
  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
    build="$ac_optarg" ;;

  -cache-file | --cache-file | --cache-fil | --cache-fi \
  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
    ac_prev=cache_file ;;
  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
    cache_file="$ac_optarg" ;;

  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
    ac_prev=datadir ;;
  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
  | --da=*)
    datadir="$ac_optarg" ;;

  -disable-* | --disable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    eval "enable_${ac_feature}=no" ;;

  -enable-* | --enable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "enable_${ac_feature}='$ac_optarg'" ;;

  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  | --exec | --exe | --ex)
    ac_prev=exec_prefix ;;
  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  | --exec=* | --exe=* | --ex=*)
    exec_prefix="$ac_optarg" ;;

  -gas | --gas | --ga | --g)
    # Obsolete; use --with-gas.
    with_gas=yes ;;

  -help | --help | --hel | --he)
    # Omit some internal or obsolete options to make the list less imposing.
    # This message is too long to be a string in the A/UX 3.1 sh.
    cat << EOF
Usage: configure [options] [host]
Options: [defaults in brackets after descriptions]
Configuration:
  --cache-file=FILE       cache test results in FILE
  --help                  print this message
  --no-create             do not create output files
  --quiet, --silent       do not print \`checking...' messages
  --version               print the version of autoconf that created configure
Directory and file names:
  --prefix=PREFIX         install architecture-independent files in PREFIX
                          [$ac_default_prefix]
  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                          [same as prefix]
  --bindir=DIR            user executables in DIR [EPREFIX/bin]
  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
  --datadir=DIR           read-only architecture-independent data in DIR
                          [PREFIX/share]
  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
                          [PREFIX/com]
  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
  --includedir=DIR        C header files in DIR [PREFIX/include]
  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
  --infodir=DIR           info documentation in DIR [PREFIX/info]
  --mandir=DIR            man documentation in DIR [PREFIX/man]
  --srcdir=DIR            find the sources in DIR [configure dir or ..]
  --program-prefix=PREFIX prepend PREFIX to installed program names
  --program-suffix=SUFFIX append SUFFIX to installed program names
  --program-transform-name=PROGRAM
                          run sed PROGRAM on installed program names
EOF
    cat << EOF
Host type:
  --build=BUILD           configure for building on BUILD [BUILD=HOST]
  --host=HOST             configure for HOST [guessed]
  --target=TARGET         configure for TARGET [TARGET=HOST]
Features and packages:
  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  --x-includes=DIR        X include files are in DIR
  --x-libraries=DIR       X library files are in DIR
EOF
    if test -n "$ac_help"; then
      echo "--enable and --with options recognized:$ac_help"
    fi
    exit 0 ;;

  -host | --host | --hos | --ho)
    ac_prev=host ;;
  -host=* | --host=* | --hos=* | --ho=*)
    host="$ac_optarg" ;;

  -includedir | --includedir | --includedi | --included | --include \
  | --includ | --inclu | --incl | --inc)
    ac_prev=includedir ;;
  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
  | --includ=* | --inclu=* | --incl=* | --inc=*)
    includedir="$ac_optarg" ;;

  -infodir | --infodir | --infodi | --infod | --info | --inf)
    ac_prev=infodir ;;
  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
    infodir="$ac_optarg" ;;

  -libdir | --libdir | --libdi | --libd)
    ac_prev=libdir ;;
  -libdir=* | --libdir=* | --libdi=* | --libd=*)
    libdir="$ac_optarg" ;;

  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
  | --libexe | --libex | --libe)
    ac_prev=libexecdir ;;
  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
  | --libexe=* | --libex=* | --libe=*)
    libexecdir="$ac_optarg" ;;

  -localstatedir | --localstatedir | --localstatedi | --localstated \
  | --localstate | --localstat | --localsta | --localst \
  | --locals | --local | --loca | --loc | --lo)
    ac_prev=localstatedir ;;
  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
    localstatedir="$ac_optarg" ;;

  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
    ac_prev=mandir ;;
  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
    mandir="$ac_optarg" ;;

  -nfp | --nfp | --nf)
    # Obsolete; use --without-fp.
    with_fp=no ;;

  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c)
    no_create=yes ;;

  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
    no_recursion=yes ;;

  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
  | --oldin | --oldi | --old | --ol | --o)
    ac_prev=oldincludedir ;;
  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
    oldincludedir="$ac_optarg" ;;

  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
    ac_prev=prefix ;;
  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
    prefix="$ac_optarg" ;;

  -program-prefix | --program-prefix | --program-prefi | --program-pref \
  | --program-pre | --program-pr | --program-p)
    ac_prev=program_prefix ;;
  -program-prefix=* | --program-prefix=* | --program-prefi=* \
  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
    program_prefix="$ac_optarg" ;;

  -program-suffix | --program-suffix | --program-suffi | --program-suff \
  | --program-suf | --program-su | --program-s)
    ac_prev=program_suffix ;;
  -program-suffix=* | --program-suffix=* | --program-suffi=* \
  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
    program_suffix="$ac_optarg" ;;

  -program-transform-name | --program-transform-name \
  | --program-transform-nam | --program-transform-na \
  | --program-transform-n | --program-transform- \
  | --program-transform | --program-transfor \
  | --program-transfo | --program-transf \
  | --program-trans | --program-tran \
  | --progr-tra | --program-tr | --program-t)
    ac_prev=program_transform_name ;;
  -program-transform-name=* | --program-transform-name=* \
  | --program-transform-nam=* | --program-transform-na=* \
  | --program-transform-n=* | --program-transform-=* \
  | --program-transform=* | --program-transfor=* \
  | --program-transfo=* | --program-transf=* \
  | --program-trans=* | --program-tran=* \
  | --progr-tra=* | --program-tr=* | --program-t=*)
    program_transform_name="$ac_optarg" ;;

  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil)
    silent=yes ;;

  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
    ac_prev=sbindir ;;
  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
  | --sbi=* | --sb=*)
    sbindir="$ac_optarg" ;;

  -sharedstatedir | --sharedstatedir | --sharedstatedi \
  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
  | --sharedst | --shareds | --shared | --share | --shar \
  | --sha | --sh)
    ac_prev=sharedstatedir ;;
  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
  | --sha=* | --sh=*)
    sharedstatedir="$ac_optarg" ;;

  -site | --site | --sit)
    ac_prev=site ;;
  -site=* | --site=* | --sit=*)
    site="$ac_optarg" ;;

  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
    ac_prev=srcdir ;;
  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
    srcdir="$ac_optarg" ;;

  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
  | --syscon | --sysco | --sysc | --sys | --sy)
    ac_prev=sysconfdir ;;
  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
    sysconfdir="$ac_optarg" ;;

  -target | --target | --targe | --targ | --tar | --ta | --t)
    ac_prev=target ;;
  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
    target="$ac_optarg" ;;

  -v | -verbose | --verbose | --verbos | --verbo | --verb)
    verbose=yes ;;

  -version | --version | --versio | --versi | --vers)
    echo "configure generated by autoconf version 2.13"
    exit 0 ;;

  -with-* | --with-*)
    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "with_${ac_package}='$ac_optarg'" ;;

  -without-* | --without-*)
    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    eval "with_${ac_package}=no" ;;

  --x)
    # Obsolete; use --with-x.
    with_x=yes ;;

  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  | --x-incl | --x-inc | --x-in | --x-i)
    ac_prev=x_includes ;;
  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
    x_includes="$ac_optarg" ;;

  -x-libraries | --x-libraries | --x-librarie | --x-librari \
  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
    ac_prev=x_libraries ;;
  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
    x_libraries="$ac_optarg" ;;

  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
    ;;

  *)
    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
      echo "configure: warning: $ac_option: invalid host type" 1>&2
    fi
    if test "x$nonopt" != xNONE; then
      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
    fi
    nonopt="$ac_option"
    ;;

  esac
done

if test -n "$ac_prev"; then
  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
fi

trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15

# File descriptor usage:
# 0 standard input
# 1 file creation
# 2 errors and warnings
# 3 some systems may open it to /dev/tty
# 4 used on the Kubota Titan
# 6 checking for... messages and results
# 5 compiler messages saved in config.log
if test "$silent" = yes; then
  exec 6>/dev/null
else
  exec 6>&1
fi
exec 5>./config.log

echo "\
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
" 1>&5

# Strip out --no-create and --no-recursion so they do not pile up.
# Also quote any args containing shell metacharacters.
ac_configure_args=
for ac_arg
do
  case "$ac_arg" in
  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c) ;;
  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
  esac
done

# NLS nuisances.
# Only set these to C if already set.  These must not be set unconditionally
# because not all systems understand e.g. LANG=C (notably SCO).
# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
# Non-C LC_CTYPE values break the ctype check.
if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi

# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h

# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
ac_unique_file=configure.in

# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  ac_srcdir_defaulted=yes
  # Try the directory containing this script, then its parent.
  ac_prog=$0
  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  srcdir=$ac_confdir
  if test ! -r $srcdir/$ac_unique_file; then
    srcdir=..
  fi
else
  ac_srcdir_defaulted=no
fi
if test ! -r $srcdir/$ac_unique_file; then
  if test "$ac_srcdir_defaulted" = yes; then
    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
  else
    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
  fi
fi
srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`

# Prefer explicitly selected file to automatically selected ones.
if test -z "$CONFIG_SITE"; then
  if test "x$prefix" != xNONE; then
    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
  else
    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
  fi
fi
for ac_site_file in $CONFIG_SITE; do
  if test -r "$ac_site_file"; then
    echo "loading site script $ac_site_file"
    . "$ac_site_file"
  fi
done

if test -r "$cache_file"; then
  echo "loading cache $cache_file"
  . $cache_file
else
  echo "creating cache $cache_file"
  > $cache_file
fi

ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CPP $CPPFLAGS'
ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cc_cross

ac_exeext=
ac_objext=o
if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
    ac_n= ac_c='
' ac_t='	'
  else
    ac_n=-n ac_c= ac_t=
  fi
else
  ac_n= ac_c='\c' ac_t=
fi




ac_ext=C
# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cxx_cross

for ac_prog in $CCC c++ g++ gcc CC cxx cc++ cl
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:561: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$CXX"; then
  ac_cv_prog_CXX="$CXX" # Let the user override the test.
else
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_CXX="$ac_prog"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
fi
CXX="$ac_cv_prog_CXX"
if test -n "$CXX"; then
  echo "$ac_t""$CXX" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

test -n "$CXX" && break
done
test -n "$CXX" || CXX="gcc"


echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
echo "configure:593: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5

ac_ext=C
# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cxx_cross

cat > conftest.$ac_ext << EOF

#line 604 "configure"
#include "confdefs.h"

int main(){return(0);}
EOF
if { (eval echo configure:609: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
  ac_cv_prog_cxx_works=yes
  # If we can't run a trivial program, we are probably using a cross compiler.
  if (./conftest; exit) 2>/dev/null; then
    ac_cv_prog_cxx_cross=no
  else
    ac_cv_prog_cxx_cross=yes
  fi
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  ac_cv_prog_cxx_works=no
fi
rm -fr conftest*
ac_ext=C
# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cxx_cross

echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
if test $ac_cv_prog_cxx_works = no; then
  { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
fi
echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
echo "configure:635: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
cross_compiling=$ac_cv_prog_cxx_cross

echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
echo "configure:640: checking whether we are using GNU C++" >&5
if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.C <<EOF
#ifdef __GNUC__
  yes;
#endif
EOF
if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:649: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
  ac_cv_prog_gxx=yes
else
  ac_cv_prog_gxx=no
fi
fi

echo "$ac_t""$ac_cv_prog_gxx" 1>&6

if test $ac_cv_prog_gxx = yes; then
  GXX=yes
else
  GXX=
fi

ac_test_CXXFLAGS="${CXXFLAGS+set}"
ac_save_CXXFLAGS="$CXXFLAGS"
CXXFLAGS=
echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
echo "configure:668: checking whether ${CXX-g++} accepts -g" >&5
if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  echo 'void f(){}' > conftest.cc
if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
  ac_cv_prog_cxx_g=yes
else
  ac_cv_prog_cxx_g=no
fi
rm -f conftest*

fi

echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
if test "$ac_test_CXXFLAGS" = set; then
  CXXFLAGS="$ac_save_CXXFLAGS"
elif test $ac_cv_prog_cxx_g = yes; then
  if test "$GXX" = yes; then
    CXXFLAGS="-g -O2"
  else
    CXXFLAGS="-g"
  fi
else
  if test "$GXX" = yes; then
    CXXFLAGS="-O2"
  else
    CXXFLAGS=
  fi
fi

echo $ac_n "checking how to run the C++ preprocessor""... $ac_c" 1>&6
echo "configure:700: checking how to run the C++ preprocessor" >&5
if test -z "$CXXCPP"; then
if eval "test \"`echo '$''{'ac_cv_prog_CXXCPP'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  ac_ext=C
# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cxx_cross
  CXXCPP="${CXX-g++} -E"
  cat > conftest.$ac_ext <<EOF
#line 713 "configure"
#include "confdefs.h"
#include <stdlib.h>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:718: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
  :
else
  echo "$ac_err" >&5
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  CXXCPP=/lib/cpp
fi
rm -f conftest*
  ac_cv_prog_CXXCPP="$CXXCPP"
ac_ext=C
# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cxx_cross
fi
fi
CXXCPP="$ac_cv_prog_CXXCPP"
echo "$ac_t""$CXXCPP" 1>&6

# Extract the first word of "ranlib", so it can be a program name with args.
set dummy ranlib; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:745: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$RANLIB"; then
  ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
else
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_RANLIB="ranlib"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
fi
fi
RANLIB="$ac_cv_prog_RANLIB"
if test -n "$RANLIB"; then
  echo "$ac_t""$RANLIB" 1>&6
else
  echo "$ac_t""no" 1>&6
fi




###### General Settings ######

if test -z "$KINOKO_ROOT"; then
    { echo "configure: error: environmental variable KINOKO_ROOT is not specified." 1>&2; exit 1; }
fi


MUSH_ROOT=${KINOKO_ROOT}/src/kernel/lib-common/mush


ROOM_ROOT=${KINOKO_ROOT}/src/kernel/lib-common/room


KDBC_ROOT=${KINOKO_ROOT}/src/kernel/lib-common/kdbc


KMLC_ROOT=${KINOKO_ROOT}/src/kernel/lib-common/kmlc


KASP_ROOT=${KINOKO_ROOT}/src/kernel/lib-common/kasp


KINOKO_VERSION="1.0.20"


KINOKO_RELEASE_DATE="Tue Jul  8 13:03:57 2003"


CONFIG_DATE=`date`;


CVS_TAG="\$Name:  $"


echo $ac_n "checking for sin in -lm""... $ac_c" 1>&6
echo "configure:810: checking for sin in -lm" >&5
ac_lib_var=`echo m'_'sin | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  ac_save_LIBS="$LIBS"
LIBS="-lm  $LIBS"
cat > conftest.$ac_ext <<EOF
#line 818 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
char sin();

int main() {
sin()
; return 0; }
EOF
if { (eval echo configure:832: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_lib_$ac_lib_var=yes"
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  eval "ac_cv_lib_$ac_lib_var=no"
fi
rm -f conftest*
LIBS="$ac_save_LIBS"

fi
if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
  echo "$ac_t""yes" 1>&6
    ac_tr_lib=HAVE_LIB`echo m | sed -e 's/[^a-zA-Z0-9_]/_/g' \
    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
  cat >> confdefs.h <<EOF
#define $ac_tr_lib 1
EOF

  LIBS="-lm $LIBS"

else
  echo "$ac_t""no" 1>&6
fi

echo $ac_n "checking size of char""... $ac_c" 1>&6
echo "configure:860: checking size of char" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_char'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test "$cross_compiling" = yes; then
    { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
  cat > conftest.$ac_ext <<EOF
#line 868 "configure"
#include "confdefs.h"
#ifdef __cplusplus
extern "C" void exit(int);
#endif
#include <stdio.h>
main()
{
  FILE *f=fopen("conftestval", "w");
  if (!f) exit(1);
  fprintf(f, "%d\n", sizeof(char));
  exit(0);
}
EOF
if { (eval echo configure:882: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
  ac_cv_sizeof_char=`cat conftestval`
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -fr conftest*
  ac_cv_sizeof_char=0
fi
rm -fr conftest*
fi

fi
echo "$ac_t""$ac_cv_sizeof_char" 1>&6
cat >> confdefs.h <<EOF
#define SIZEOF_CHAR $ac_cv_sizeof_char
EOF


echo $ac_n "checking size of short""... $ac_c" 1>&6
echo "configure:902: checking size of short" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_short'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test "$cross_compiling" = yes; then
    { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
  cat > conftest.$ac_ext <<EOF
#line 910 "configure"
#include "confdefs.h"
#ifdef __cplusplus
extern "C" void exit(int);
#endif
#include <stdio.h>
main()
{
  FILE *f=fopen("conftestval", "w");
  if (!f) exit(1);
  fprintf(f, "%d\n", sizeof(short));
  exit(0);
}
EOF
if { (eval echo configure:924: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
  ac_cv_sizeof_short=`cat conftestval`
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -fr conftest*
  ac_cv_sizeof_short=0
fi
rm -fr conftest*
fi

fi
echo "$ac_t""$ac_cv_sizeof_short" 1>&6
cat >> confdefs.h <<EOF
#define SIZEOF_SHORT $ac_cv_sizeof_short
EOF


echo $ac_n "checking size of int""... $ac_c" 1>&6
echo "configure:944: checking size of int" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_int'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test "$cross_compiling" = yes; then
    { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
  cat > conftest.$ac_ext <<EOF
#line 952 "configure"
#include "confdefs.h"
#ifdef __cplusplus
extern "C" void exit(int);
#endif
#include <stdio.h>
main()
{
  FILE *f=fopen("conftestval", "w");
  if (!f) exit(1);
  fprintf(f, "%d\n", sizeof(int));
  exit(0);
}
EOF
if { (eval echo configure:966: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
  ac_cv_sizeof_int=`cat conftestval`
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -fr conftest*
  ac_cv_sizeof_int=0
fi
rm -fr conftest*
fi

fi
echo "$ac_t""$ac_cv_sizeof_int" 1>&6
cat >> confdefs.h <<EOF
#define SIZEOF_INT $ac_cv_sizeof_int
EOF


echo $ac_n "checking size of long""... $ac_c" 1>&6
echo "configure:986: checking size of long" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_long'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test "$cross_compiling" = yes; then
    { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
  cat > conftest.$ac_ext <<EOF
#line 994 "configure"
#include "confdefs.h"
#ifdef __cplusplus
extern "C" void exit(int);
#endif
#include <stdio.h>
main()
{
  FILE *f=fopen("conftestval", "w");
  if (!f) exit(1);
  fprintf(f, "%d\n", sizeof(long));
  exit(0);
}
EOF
if { (eval echo configure:1008: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
  ac_cv_sizeof_long=`cat conftestval`
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -fr conftest*
  ac_cv_sizeof_long=0
fi
rm -fr conftest*
fi

fi
echo "$ac_t""$ac_cv_sizeof_long" 1>&6
cat >> confdefs.h <<EOF
#define SIZEOF_LONG $ac_cv_sizeof_long
EOF


echo $ac_n "checking size of long long""... $ac_c" 1>&6
echo "configure:1028: checking size of long long" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_long_long'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test "$cross_compiling" = yes; then
    { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
  cat > conftest.$ac_ext <<EOF
#line 1036 "configure"
#include "confdefs.h"
#ifdef __cplusplus
extern "C" void exit(int);
#endif
#include <stdio.h>
main()
{
  FILE *f=fopen("conftestval", "w");
  if (!f) exit(1);
  fprintf(f, "%d\n", sizeof(long long));
  exit(0);
}
EOF
if { (eval echo configure:1050: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
  ac_cv_sizeof_long_long=`cat conftestval`
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -fr conftest*
  ac_cv_sizeof_long_long=0
fi
rm -fr conftest*
fi

fi
echo "$ac_t""$ac_cv_sizeof_long_long" 1>&6
cat >> confdefs.h <<EOF
#define SIZEOF_LONG_LONG $ac_cv_sizeof_long_long
EOF




AR="ar q"
ARFLAGS=""



if test -z "$MAKE"; then
    MAKE="make"
fi



# Extract the first word of "kterm", so it can be a program name with args.
set dummy kterm; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:1085: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_XTERM_PATH'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$XTERM_PATH" in
  /*)
  ac_cv_path_XTERM_PATH="$XTERM_PATH" # Let the user override the test with a path.
  ;;
  ?:/*)			 
  ac_cv_path_XTERM_PATH="$XTERM_PATH" # Let the user override the test with a dos path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do 
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_XTERM_PATH="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_path_XTERM_PATH" && ac_cv_path_XTERM_PATH=""""
  ;;
esac
fi
XTERM_PATH="$ac_cv_path_XTERM_PATH"
if test -n "$XTERM_PATH"; then
  echo "$ac_t""$XTERM_PATH" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

if test x$XTERM_PATH = "x"; then
    # Extract the first word of "xterm", so it can be a program name with args.
set dummy xterm; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:1122: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_KTERM_PATH'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$KTERM_PATH" in
  /*)
  ac_cv_path_KTERM_PATH="$KTERM_PATH" # Let the user override the test with a path.
  ;;
  ?:/*)			 
  ac_cv_path_KTERM_PATH="$KTERM_PATH" # Let the user override the test with a dos path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do 
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_KTERM_PATH="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_path_KTERM_PATH" && ac_cv_path_KTERM_PATH=""""
  ;;
esac
fi
KTERM_PATH="$ac_cv_path_KTERM_PATH"
if test -n "$KTERM_PATH"; then
  echo "$ac_t""$KTERM_PATH" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

    XTERM_PATH=$KTERM_PATH
fi
if test x$XTERM_PATH = "x"; then
    { echo "configure: error: unable to find kterm/xterm" 1>&2; exit 1; }
fi



# Extract the first word of "ssh", so it can be a program name with args.
set dummy ssh; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:1166: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_SSH_PATH'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$SSH_PATH" in
  /*)
  ac_cv_path_SSH_PATH="$SSH_PATH" # Let the user override the test with a path.
  ;;
  ?:/*)			 
  ac_cv_path_SSH_PATH="$SSH_PATH" # Let the user override the test with a dos path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do 
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_SSH_PATH="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_path_SSH_PATH" && ac_cv_path_SSH_PATH=""""
  ;;
esac
fi
SSH_PATH="$ac_cv_path_SSH_PATH"
if test -n "$SSH_PATH"; then
  echo "$ac_t""$SSH_PATH" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

if test x$SSH_PATH != "x"; then
    REMOTE_SHELL_PATH=$SSH_PATH
else
    # Extract the first word of "rsh", so it can be a program name with args.
set dummy rsh; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:1205: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_RSH_PATH'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$RSH_PATH" in
  /*)
  ac_cv_path_RSH_PATH="$RSH_PATH" # Let the user override the test with a path.
  ;;
  ?:/*)			 
  ac_cv_path_RSH_PATH="$RSH_PATH" # Let the user override the test with a dos path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do 
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_RSH_PATH="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_path_RSH_PATH" && ac_cv_path_RSH_PATH=""""
  ;;
esac
fi
RSH_PATH="$ac_cv_path_RSH_PATH"
if test -n "$RSH_PATH"; then
  echo "$ac_t""$RSH_PATH" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

    REMOTE_SHELL_PATH=$RSH_PATH
fi
if test x$REMOTE_SHELL_PATH = "x"; then
    { echo "configure: error: unable to find ssh/rsh" 1>&2; exit 1; }
fi



###### DAQ Settings ######

DAQDRVS="$KINOKO_ROOT/devices/module-*.o $KINOKO_ROOT/devices/bridge-*.o"
HAS_CONTROLLER=no

# check whether VMEDRV is used #
# Check whether --with-vmedrv or --without-vmedrv was given.
if test "${with_vmedrv+set}" = set; then
  withval="$with_vmedrv"
  VMEDRV_PATH="$withval"
    IS_VMEDRV_USED=yes
else
  IS_VMEDRV_USED=if_available

fi

test "$VMEDRV_PATH" = no && IS_VMEDRV_USED=no
test -z "$VMEDRV_PATH" && VMEDRV_PATH="$KINOKO_ROOT/drv/vmedrv"
if test -f "/usr/include/linux/ioctl.h" && test -d "$VMEDRV_PATH"; then
    IS_VMEDRV_AVAILABLE=yes
else
    IS_VMEDRV_AVAILABLE=no
fi
if test "$IS_VMEDRV_USED" = if_available; then
    IS_VMEDRV_USED="$IS_VMEDRV_AVAILABLE"
fi
if test "$IS_VMEDRV_USED" = yes && test "$IS_VMEDRV_AVALIABLE" = no; then
    { echo "configure: error: vmedrv is not available" 1>&2; exit 1; }
    IS_VMEDRV_USED=no
fi
if test "$IS_VMEDRV_USED" = yes; then
    DAQFLAGS="$DAQFLAGS -I$VMEDRV_PATH"
    HAS_CONTROLLER=yes
fi

echo $ac_n "checking KiNOKO vmedrv""... $ac_c" 1>&6
echo "configure:1282: checking KiNOKO vmedrv" >&5
echo "$ac_t""$IS_VMEDRV_USED" 1>&6



# check whether FRCVME is used #
# Check whether --with-frcvme or --without-frcvme was given.
if test "${with_frcvme+set}" = set; then
  withval="$with_frcvme"
  FRCVME_PATH="$withval"
    IS_FRCVME_USED=yes
else
  IS_FRCVME_USED=no

fi

test "$FRCVME_PATH" = no && IS_FRCVME_USED=no
if test "$IS_FRCVME_USED" = yes && test ! -d "$FRCVME_PATH"; then
    { echo "configure: error: unable to find path $FRCVME_PATH" 1>&2; exit 1; }
    IS_FRCVME_USED=no
fi
if test "$IS_FRCVME_USED" = yes; then
    DAQFLAGS="$DAQFLAGS -I$FRCVME_PATH"
    DAQLIBS="$DAQLIBS -L$FRCVME_PATH/usr/lib -lvui"
    HAS_CONTROLLER=yes
fi

echo $ac_n "checking FORCE VME driver""... $ac_c" 1>&6
echo "configure:1310: checking FORCE VME driver" >&5
echo "$ac_t""$IS_FRCVME_USED" 1>&6



# check whether CAMDRV is used #
# Check whether --with-camdrv or --without-camdrv was given.
if test "${with_camdrv+set}" = set; then
  withval="$with_camdrv"
  CAMDRV_PATH="$withval"
    IS_CAMDRV_USED=yes
else
  IS_CAMDRV_USED=if_available

fi

test "$CAMDRV_PATH" = no && IS_CAMDRV_USED=no
test -z "$CAMDRV_PATH" && CAMDRV_PATH="$KINOKO_ROOT/drv/camdrv"
if test -f "/usr/include/linux/ioctl.h" && test -d "$CAMDRV_PATH"; then
    IS_CAMDRV_AVAILABLE=yes
else
    IS_CAMDRV_AVAILABLE=no
fi
if test "$IS_CAMDRV_USED" = if_available; then
    IS_CAMDRV_USED="$IS_CAMDRV_AVAILABLE"
fi
if test "$IS_CAMDRV_USED" = yes && test "$IS_CAMDRV_AVALIABLE" = no; then
    { echo "configure: error: camdrv is not available" 1>&2; exit 1; }
    IS_CAMDRV_USED=no
fi
if test "$IS_CAMDRV_USED" = yes; then
    DAQFLAGS="$DAQFLAGS -I$CAMDRV_PATH"
    HAS_CONTROLLER=yes
fi

echo $ac_n "checking KiNONO camdrv""... $ac_c" 1>&6
echo "configure:1346: checking KiNONO camdrv" >&5
echo "$ac_t""$IS_CAMDRV_USED" 1>&6



# check whether KEK_CAMLIB is used #
# Check whether --with-kekcamlib or --without-kekcamlib was given.
if test "${with_kekcamlib+set}" = set; then
  withval="$with_kekcamlib"
  KEKCAMLIB_PATH="$withval"
    IS_KEKCAMLIB_USED=yes
else
  IS_KEKCAMLIB_USED=no

fi

test "$KEK_CAMLIB_PATH" = no && IS_KEKCAMLIB_USED=yes
if test "$IS_KEKCAMLIB_USED" = yes && test ! -d "$KEKCAMLIB_PATH"; then
    { echo "configure: error: unable to find path $KEKCAMLIB_PATH" 1>&2; exit 1; }
    IS_KEK_CAMDRV_USED=no
fi
if test "$IS_KEKCAMLIB_USED" = yes; then
    DAQFLAGS="$DAQFLAGS -I$KEKCAMLIB_PATH"
    DAQLIBS="$DAQLIBS -L$KEKCAMLIB_PATH -lcamac"
    HAS_CONTROLLER=yes
fi

echo $ac_n "checking KEK camlib""... $ac_c" 1>&6
echo "configure:1374: checking KEK camlib" >&5
echo "$ac_t""$IS_KEKCAMLIB_USED" 1>&6



if test "$HAS_CONTROLLER" = yes; then
    DAQDRVS="$KINOKO_ROOT/devices/controller-*.o $DAQDRVS"
fi







###### System Libraries ######

echo $ac_n "checking for socket in -lsocket""... $ac_c" 1>&6
echo "configure:1392: checking for socket in -lsocket" >&5
ac_lib_var=`echo socket'_'socket | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  ac_save_LIBS="$LIBS"
LIBS="-lsocket  $LIBS"
cat > conftest.$ac_ext <<EOF
#line 1400 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
char socket();

int main() {
socket()
; return 0; }
EOF
if { (eval echo configure:1414: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_lib_$ac_lib_var=yes"
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  eval "ac_cv_lib_$ac_lib_var=no"
fi
rm -f conftest*
LIBS="$ac_save_LIBS"

fi
if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
  echo "$ac_t""yes" 1>&6
  SYSLIBS="$SYSLIBS -lsocket"

else
  echo "$ac_t""no" 1>&6
fi


echo $ac_n "checking for inet_addr in -lnsl""... $ac_c" 1>&6
echo "configure:1437: checking for inet_addr in -lnsl" >&5
ac_lib_var=`echo nsl'_'inet_addr | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  ac_save_LIBS="$LIBS"
LIBS="-lnsl  $LIBS"
cat > conftest.$ac_ext <<EOF
#line 1445 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
char inet_addr();

int main() {
inet_addr()
; return 0; }
EOF
if { (eval echo configure:1459: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_lib_$ac_lib_var=yes"
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  eval "ac_cv_lib_$ac_lib_var=no"
fi
rm -f conftest*
LIBS="$ac_save_LIBS"

fi
if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
  echo "$ac_t""yes" 1>&6
  SYSLIBS="$SYSLIBS -lnsl"

else
  echo "$ac_t""no" 1>&6
fi


echo $ac_n "checking for pthread_create in -lpthread""... $ac_c" 1>&6
echo "configure:1482: checking for pthread_create in -lpthread" >&5
ac_lib_var=`echo pthread'_'pthread_create | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  ac_save_LIBS="$LIBS"
LIBS="-lpthread  $LIBS"
cat > conftest.$ac_ext <<EOF
#line 1490 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
char pthread_create();

int main() {
pthread_create()
; return 0; }
EOF
if { (eval echo configure:1504: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_lib_$ac_lib_var=yes"
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  eval "ac_cv_lib_$ac_lib_var=no"
fi
rm -f conftest*
LIBS="$ac_save_LIBS"

fi
if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
  echo "$ac_t""yes" 1>&6
  SYSLIBS="$SYSLIBS -lpthread"

else
  echo "$ac_t""no" 1>&6
fi


for ac_hdr in "sys/vfs.h"
do
ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
echo "configure:1530: checking for $ac_hdr" >&5
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 1535 "configure"
#include "confdefs.h"
#include <$ac_hdr>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:1540: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=yes"
else
  echo "$ac_err" >&5
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=no"
fi
rm -f conftest*
fi
if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
  echo "$ac_t""yes" 1>&6
    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
  cat >> confdefs.h <<EOF
#define $ac_tr_hdr 1
EOF
 cat >> confdefs.h <<\EOF
#define IS_SYSVFS_AVAILABLE 1
EOF

else
  echo "$ac_t""no" 1>&6
cat >> confdefs.h <<\EOF
#define IS_SYSVFS_AVAILABLE 0
EOF


fi
done


# Check whether --with-zlib or --without-zlib was given.
if test "${with_zlib+set}" = set; then
  withval="$with_zlib"
  if test "x$withval" != "xno"; then
        IS_ZLIB_USED=yes
    else
        IS_ZLIB_USED=no
    fi
else
  IS_ZLIB_USED=yes

fi

if test $IS_ZLIB_USED = yes; then
    for ac_hdr in "zlib.h"
do
ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
echo "configure:1593: checking for $ac_hdr" >&5
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 1598 "configure"
#include "confdefs.h"
#include <$ac_hdr>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:1603: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=yes"
else
  echo "$ac_err" >&5
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=no"
fi
rm -f conftest*
fi
if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
  echo "$ac_t""yes" 1>&6
    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
  cat >> confdefs.h <<EOF
#define $ac_tr_hdr 1
EOF
 IS_ZLIB_AVAILABLE=yes
else
  echo "$ac_t""no" 1>&6
IS_ZLIB_AVAILABLE=no
    
fi
done

    if test $IS_ZLIB_AVAILABLE = yes; then
        SYSLIBS="$SYSLIBS -lz"
        cat >> confdefs.h <<\EOF
#define USE_ZLIB 1
EOF

    else
        echo "configure: warning: --with-zlib is specified, but not available." 1>&2
        cat >> confdefs.h <<\EOF
#define USE_ZLIB 0
EOF

        IS_ZLIB_USED=no
    fi
else
    cat >> confdefs.h <<\EOF
#define USE_ZLIB 0
EOF

fi
echo $ac_n "checking zlib""... $ac_c" 1>&6
echo "configure:1652: checking zlib" >&5
echo "$ac_t""$IS_ZLIB_USED" 1>&6


# Check whether --with-readline or --without-readline was given.
if test "${with_readline+set}" = set; then
  withval="$with_readline"
  if test "x$withval" != "xno"; then
        IS_READLINE_USED=yes
    else
        IS_READLINE_USED=no
    fi
else
  IS_READLINE_USED=yes

fi

if test $IS_READLINE_USED = yes; then
    for ac_hdr in "readline/readline.h"
do
ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
echo "configure:1674: checking for $ac_hdr" >&5
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 1679 "configure"
#include "confdefs.h"
#include <$ac_hdr>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:1684: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=yes"
else
  echo "$ac_err" >&5
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=no"
fi
rm -f conftest*
fi
if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
  echo "$ac_t""yes" 1>&6
    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
  cat >> confdefs.h <<EOF
#define $ac_tr_hdr 1
EOF
 IS_READLINE_AVAILABLE=yes
else
  echo "$ac_t""no" 1>&6
IS_READLINE_AVAILABLE=no
    
fi
done

    if test $IS_READLINE_AVAILABLE = yes; then
        SYSLIBS="$SYSLIBS -lreadline -lcurses"
        cat >> confdefs.h <<\EOF
#define USE_READLINE 1
EOF

    else
        echo "configure: warning: --with-readline is specified, but not available." 1>&2
        cat >> confdefs.h <<\EOF
#define USE_READLINE 0
EOF

        IS_READLINE_USED=no
    fi
else
    cat >> confdefs.h <<\EOF
#define USE_READLINE 0
EOF

fi
echo $ac_n "checking GNU readline""... $ac_c" 1>&6
echo "configure:1733: checking GNU readline" >&5
echo "$ac_t""$IS_READLINE_USED" 1>&6


echo $ac_n "checking whether the 3rd argument of accept() is unsigned""... $ac_c" 1>&6
echo "configure:1738: checking whether the 3rd argument of accept() is unsigned" >&5
cat > conftest.$ac_ext <<EOF
#line 1740 "configure"
#include "confdefs.h"
#include <sys/socket.h>
int main() {

        int Socket;
        struct sockaddr SocketAddress;
        size_t AddressLength = sizeof(SocketAddress);
        accept(Socket, &SocketAddress, &AddressLength);
    
; return 0; }
EOF
if { (eval echo configure:1752: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
  rm -rf conftest*
  cat >> confdefs.h <<\EOF
#define ADDRLEN_IS_UNSIGNED 1
EOF

    echo "$ac_t""yes" 1>&6
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  cat >> confdefs.h <<\EOF
#define ADDRLEN_IS_UNSIGNED 0
EOF

    echo "$ac_t""no" 1>&6

fi
rm -f conftest*





###### Database Libraries ######

# Check whether --with-PostgreSQL or --without-PostgreSQL was given.
if test "${with_PostgreSQL+set}" = set; then
  withval="$with_PostgreSQL"
  if test "x$withval" != "xno"; then
        IS_POSTGRESQL_USED=yes
    else
        IS_POSTGRESQL_USED=no
    fi
else
  IS_POSTGRESQL_USED=no

fi

if test $IS_POSTGRESQL_USED != no; then
    # Extract the first word of "pg_config", so it can be a program name with args.
set dummy pg_config; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:1795: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_IS_POSTGRESQL_AVAILABLE'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$IS_POSTGRESQL_AVAILABLE"; then
  ac_cv_prog_IS_POSTGRESQL_AVAILABLE="$IS_POSTGRESQL_AVAILABLE" # Let the user override the test.
else
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_IS_POSTGRESQL_AVAILABLE="yes"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_prog_IS_POSTGRESQL_AVAILABLE" && ac_cv_prog_IS_POSTGRESQL_AVAILABLE="no"
fi
fi
IS_POSTGRESQL_AVAILABLE="$ac_cv_prog_IS_POSTGRESQL_AVAILABLE"
if test -n "$IS_POSTGRESQL_AVAILABLE"; then
  echo "$ac_t""$IS_POSTGRESQL_AVAILABLE" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

fi 

echo $ac_n "checking PostgreSQL""... $ac_c" 1>&6
echo "configure:1825: checking PostgreSQL" >&5
echo "$ac_t""$IS_POSTGRESQL_USED" 1>&6
if test $IS_POSTGRESQL_USED = yes; then
    if test $IS_POSTGRESQL_AVAILABLE = yes; then
        POSTGRESQL_INCLUDE_DIR=`pg_config --includedir`
        POSTGRESQL_LIB_DIR=`pg_config --libdir`
        DBFLAGS="$DBFLAGS -I$POSTGRESQL_INCLUDE_DIR"
        DBLIBS="$DBLIBS -L$POSTGRESQL_LIB_DIR -lpq"
        DBDRVS="$KINOKO_ROOT/devices/dbms-*.o"
    else
        echo "configure: warning: --with-PostgreSQL is specified, but not available." 1>&2
        IS_POSTGRESQL_USED=no
    fi
fi



# Check whether --with-MySQL or --without-MySQL was given.
if test "${with_MySQL+set}" = set; then
  withval="$with_MySQL"
  if test "x$withval" != "xno"; then
        IS_MYSQL_USED=yes
    else
        IS_MYSQL_USED=no
    fi
else
  IS_MYSQL_USED=no

fi

if test $IS_MYSQL_USED != no; then
    # Extract the first word of "mysql_config", so it can be a program name with args.
set dummy mysql_config; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:1859: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_IS_MYSQL_AVAILABLE'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$IS_MYSQL_AVAILABLE"; then
  ac_cv_prog_IS_MYSQL_AVAILABLE="$IS_MYSQL_AVAILABLE" # Let the user override the test.
else
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_IS_MYSQL_AVAILABLE="yes"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_prog_IS_MYSQL_AVAILABLE" && ac_cv_prog_IS_MYSQL_AVAILABLE="no"
fi
fi
IS_MYSQL_AVAILABLE="$ac_cv_prog_IS_MYSQL_AVAILABLE"
if test -n "$IS_MYSQL_AVAILABLE"; then
  echo "$ac_t""$IS_MYSQL_AVAILABLE" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

fi 

echo $ac_n "checking MySQL""... $ac_c" 1>&6
echo "configure:1889: checking MySQL" >&5
echo "$ac_t""$IS_MYSQL_USED" 1>&6
if test $IS_MYSQL_USED = yes; then
    if test $IS_MYSQL_AVAILABLE = yes; then
        MYSQL_FLAGS=`mysql_config --cflags`
        MYSQL_LIBS=`mysql_config --libs`
        DBFLAGS="$DBFLAGS $MYSQL_FLAGS"
        DBLIBS="$DBLIBS $MYSQL_LIBS"
        DBDRVS="$KINOKO_ROOT/devices/dbms-*.o"
    else
        echo "configure: warning: --with-MySQL is specified, but not available." 1>&2
        IS_MYSQL_USED=no
    fi
fi



# Check whether --with-SQLite or --without-SQLite was given.
if test "${with_SQLite+set}" = set; then
  withval="$with_SQLite"
  if test "x$withval" != "xno"; then
        IS_SQLITE_USED=yes
    else
        IS_SQLITE_USED=no
    fi
else
  IS_SQLITE_USED=no

fi

if test $IS_SQLITE_USED != no; then
    echo $ac_n "checking for sqlite_open in -lsqlite""... $ac_c" 1>&6
echo "configure:1921: checking for sqlite_open in -lsqlite" >&5
ac_lib_var=`echo sqlite'_'sqlite_open | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  ac_save_LIBS="$LIBS"
LIBS="-lsqlite  $LIBS"
cat > conftest.$ac_ext <<EOF
#line 1929 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
char sqlite_open();

int main() {
sqlite_open()
; return 0; }
EOF
if { (eval echo configure:1943: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_lib_$ac_lib_var=yes"
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  eval "ac_cv_lib_$ac_lib_var=no"
fi
rm -f conftest*
LIBS="$ac_save_LIBS"

fi
if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
  echo "$ac_t""yes" 1>&6
  IS_SQLITE_AVAILABLE="yes"
else
  echo "$ac_t""no" 1>&6
IS_SQLITE_AVAILABLE="no"
    
fi

fi 

echo $ac_n "checking SQLITE""... $ac_c" 1>&6
echo "configure:1968: checking SQLITE" >&5
echo "$ac_t""$IS_SQLITE_USED" 1>&6
if test $IS_SQLITE_USED = yes; then
    if test $IS_SQLITE_AVAILABLE = yes; then
        SQLITE_FLAGS=""
        SQLITE_LIBS="-lsqlite"
        DBFLAGS="$DBFLAGS $SQLITE_FLAGS"
        DBLIBS="$DBLIBS $SQLITE_LIBS"
        DBDRVS="$KINOKO_ROOT/devices/dbms-*.o"
    else
        echo "configure: warning: --with-SQLite is specified, but not available." 1>&2
        IS_SQLITE_USED=no
    fi
fi








###### Math Libraries ######


# Check whether --with-gemini or --without-gemini was given.
if test "${with_gemini+set}" = set; then
  withval="$with_gemini"
  if test "x$withval" != "xno"; then
        IS_GEMINI_USED=yes
    else
        IS_GEMINI_USED=no
    fi
else
  IS_GEMINI_USED=no

fi

if test $IS_GEMINI_USED = yes; then
    IS_GEMINI_AVAILABLE=no
    if test -n "$LHCXX_REL_DIR"; then
        for ac_hdr in "$LHCXX_REL_DIR/include/Gemini/gemini.h"
do
ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
echo "configure:2013: checking for $ac_hdr" >&5
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 2018 "configure"
#include "confdefs.h"
#include <$ac_hdr>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:2023: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=yes"
else
  echo "$ac_err" >&5
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=no"
fi
rm -f conftest*
fi
if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
  echo "$ac_t""yes" 1>&6
    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
  cat >> confdefs.h <<EOF
#define $ac_tr_hdr 1
EOF
 IS_GEMINI_AVAILABLE=yes
        
else
  echo "$ac_t""no" 1>&6
fi
done

    else
        echo "configure: warning: --with-gemini is specified, but LHCXX_REL_DIR is not defined." 1>&2
    fi
    if test $IS_GEMINI_AVAILABLE = yes; then
        MATHFLAGS="$MATHFLAGS -I$LHCXX_REL_DIR/include"
        MATHLIBS="$MATHLIBS -L$LHCXX_REL_DIR/lib -lGemini-minuit -lminuit -lg2c-forMinuit"
        MATHDRVS="$KINOKO_ROOT/devices/math-*.o"
    else
        echo "configure: warning: --with-gemini is specified, but not available." 1>&2
        IS_GEMINI_USED=no
    fi
fi
echo $ac_n "checking gemini""... $ac_c" 1>&6
echo "configure:2063: checking gemini" >&5
echo "$ac_t""$IS_GEMINI_USED" 1>&6


# Check whether --with-root or --without-root was given.
if test "${with_root+set}" = set; then
  withval="$with_root"
  if test "x$withval" != "xno"; then
        IS_ROOT_USED=yes
    else
        IS_ROOT_USED=no
    fi
else
  IS_ROOT_USED=no

fi

if test $IS_ROOT_USED = yes; then
    # Extract the first word of "root-config", so it can be a program name with args.
set dummy root-config; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:2084: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_IS_ROOT_AVAILABLE'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$IS_ROOT_AVAILABLE"; then
  ac_cv_prog_IS_ROOT_AVAILABLE="$IS_ROOT_AVAILABLE" # Let the user override the test.
else
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_IS_ROOT_AVAILABLE="yes"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_prog_IS_ROOT_AVAILABLE" && ac_cv_prog_IS_ROOT_AVAILABLE="no"
fi
fi
IS_ROOT_AVAILABLE="$ac_cv_prog_IS_ROOT_AVAILABLE"
if test -n "$IS_ROOT_AVAILABLE"; then
  echo "$ac_t""$IS_ROOT_AVAILABLE" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

    if test $IS_ROOT_AVAILABLE = yes; then
        ROOT_PATH=`root-config --prefix`
        ROOT_FLAGS=`root-config --cflags`
	ROOT_LIBS="-L$ROOT_PATH/lib -lCore -lCint -lHist -lGraf -lTree -lMatrix -lMinuit -ldl"
        MATHFLAGS="$MATHFLAGS $ROOT_FLAGS"
        MATHLIBS="$MATHLIBS $ROOT_LIBS"
        MATHDRVS="$KINOKO_ROOT/devices/math-*.o"
        cat >> confdefs.h <<\EOF
#define IS_ROOT_AVAILABLE 1
EOF

    else
        echo "configure: warning: --with-root is specified, but not available." 1>&2
        IS_ROOT_USED=no
        cat >> confdefs.h <<\EOF
#define IS_ROOT_AVAILABLE 0
EOF

    fi
else
    IS_ROOT_AVAILABLE=no
    cat >> confdefs.h <<\EOF
#define IS_ROOT_AVAILABLE 0
EOF

fi

echo $ac_n "checking ROOT""... $ac_c" 1>&6
echo "configure:2139: checking ROOT" >&5
echo "$ac_t""$IS_ROOT_USED" 1>&6







###### User Interface Libraries ######

# Extract the first word of "gtk-config", so it can be a program name with args.
set dummy gtk-config; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:2153: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_IS_GTK_AVAILABLE'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$IS_GTK_AVAILABLE"; then
  ac_cv_prog_IS_GTK_AVAILABLE="$IS_GTK_AVAILABLE" # Let the user override the test.
else
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_IS_GTK_AVAILABLE="yes"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_prog_IS_GTK_AVAILABLE" && ac_cv_prog_IS_GTK_AVAILABLE="no"
fi
fi
IS_GTK_AVAILABLE="$ac_cv_prog_IS_GTK_AVAILABLE"
if test -n "$IS_GTK_AVAILABLE"; then
  echo "$ac_t""$IS_GTK_AVAILABLE" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

if test $IS_GTK_AVAILABLE = yes; then
    # Extract the first word of "imlib-config", so it can be a program name with args.
set dummy imlib-config; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:2184: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_IS_IMLIB_AVAILABLE'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$IS_IMLIB_AVAILABLE"; then
  ac_cv_prog_IS_IMLIB_AVAILABLE="$IS_IMLIB_AVAILABLE" # Let the user override the test.
else
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_IS_IMLIB_AVAILABLE="yes"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_prog_IS_IMLIB_AVAILABLE" && ac_cv_prog_IS_IMLIB_AVAILABLE="no"
fi
fi
IS_IMLIB_AVAILABLE="$ac_cv_prog_IS_IMLIB_AVAILABLE"
if test -n "$IS_IMLIB_AVAILABLE"; then
  echo "$ac_t""$IS_IMLIB_AVAILABLE" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

    if test $IS_IMLIB_AVAILABLE = no; then
        echo "configure: warning: gtk is disabled since imlib is not available" 1>&2
        IS_GTK_AVAILABLE=no
    fi
    # Extract the first word of "xml-config", so it can be a program name with args.
set dummy xml-config; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:2218: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_IS_LIBXML_AVAILABLE'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$IS_LIBXML_AVAILABLE"; then
  ac_cv_prog_IS_LIBXML_AVAILABLE="$IS_LIBXML_AVAILABLE" # Let the user override the test.
else
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_IS_LIBXML_AVAILABLE="yes"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_prog_IS_LIBXML_AVAILABLE" && ac_cv_prog_IS_LIBXML_AVAILABLE="no"
fi
fi
IS_LIBXML_AVAILABLE="$ac_cv_prog_IS_LIBXML_AVAILABLE"
if test -n "$IS_LIBXML_AVAILABLE"; then
  echo "$ac_t""$IS_LIBXML_AVAILABLE" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

    if test $IS_LIBXML_AVAILABLE = no; then
        echo "configure: warning: gtk is disabled since libxml is not available" 1>&2
        IS_GTK_AVAILABLE=no
    fi
fi

# Extract the first word of "perl", so it can be a program name with args.
set dummy perl; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:2254: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_IS_PERL_AVAILABLE'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$IS_PERL_AVAILABLE"; then
  ac_cv_prog_IS_PERL_AVAILABLE="$IS_PERL_AVAILABLE" # Let the user override the test.
else
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_IS_PERL_AVAILABLE="yes"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_prog_IS_PERL_AVAILABLE" && ac_cv_prog_IS_PERL_AVAILABLE="no"
fi
fi
IS_PERL_AVAILABLE="$ac_cv_prog_IS_PERL_AVAILABLE"
if test -n "$IS_PERL_AVAILABLE"; then
  echo "$ac_t""$IS_PERL_AVAILABLE" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

# Extract the first word of "perl", so it can be a program name with args.
set dummy perl; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:2284: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_PERL_PATH'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$PERL_PATH" in
  /*)
  ac_cv_path_PERL_PATH="$PERL_PATH" # Let the user override the test with a path.
  ;;
  ?:/*)			 
  ac_cv_path_PERL_PATH="$PERL_PATH" # Let the user override the test with a dos path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do 
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_PERL_PATH="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_path_PERL_PATH" && ac_cv_path_PERL_PATH=""""
  ;;
esac
fi
PERL_PATH="$ac_cv_path_PERL_PATH"
if test -n "$PERL_PATH"; then
  echo "$ac_t""$PERL_PATH" 1>&6
else
  echo "$ac_t""no" 1>&6
fi


# Extract the first word of "wish", so it can be a program name with args.
set dummy wish; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:2321: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_IS_TCLTK_AVAILABLE'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$IS_TCLTK_AVAILABLE"; then
  ac_cv_prog_IS_TCLTK_AVAILABLE="$IS_TCLTK_AVAILABLE" # Let the user override the test.
else
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_IS_TCLTK_AVAILABLE="yes"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_prog_IS_TCLTK_AVAILABLE" && ac_cv_prog_IS_TCLTK_AVAILABLE="no"
fi
fi
IS_TCLTK_AVAILABLE="$ac_cv_prog_IS_TCLTK_AVAILABLE"
if test -n "$IS_TCLTK_AVAILABLE"; then
  echo "$ac_t""$IS_TCLTK_AVAILABLE" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

# Extract the first word of "wish", so it can be a program name with args.
set dummy wish; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:2351: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_WISH_PATH'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$WISH_PATH" in
  /*)
  ac_cv_path_WISH_PATH="$WISH_PATH" # Let the user override the test with a path.
  ;;
  ?:/*)			 
  ac_cv_path_WISH_PATH="$WISH_PATH" # Let the user override the test with a dos path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do 
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_WISH_PATH="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_path_WISH_PATH" && ac_cv_path_WISH_PATH=""""
  ;;
esac
fi
WISH_PATH="$ac_cv_path_WISH_PATH"
if test -n "$WISH_PATH"; then
  echo "$ac_t""$WISH_PATH" 1>&6
else
  echo "$ac_t""no" 1>&6
fi


# Extract the first word of "javac", so it can be a program name with args.
set dummy javac; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:2388: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_IS_JAVA_AVAILABLE'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$IS_JAVA_AVAILABLE"; then
  ac_cv_prog_IS_JAVA_AVAILABLE="$IS_JAVA_AVAILABLE" # Let the user override the test.
else
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_IS_JAVA_AVAILABLE="yes"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_prog_IS_JAVA_AVAILABLE" && ac_cv_prog_IS_JAVA_AVAILABLE="no"
fi
fi
IS_JAVA_AVAILABLE="$ac_cv_prog_IS_JAVA_AVAILABLE"
if test -n "$IS_JAVA_AVAILABLE"; then
  echo "$ac_t""$IS_JAVA_AVAILABLE" 1>&6
else
  echo "$ac_t""no" 1>&6
fi




###### Output ######


trap '' 1 2 15
cat > confcache <<\EOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
# scripts and configure runs.  It is not useful on other systems.
# If it contains results you don't want to keep, you may remove or edit it.
#
# By default, configure uses ./config.cache as the cache file,
# creating it if it does not exist already.  You can give configure
# the --cache-file=FILE option to use a different cache file; that is
# what configure does when it calls configure scripts in
# subdirectories, so they share the cache.
# Giving --cache-file=/dev/null disables caching, for debugging configure.
# config.status only pays attention to the cache file if you give it the
# --recheck option to rerun configure.
#
EOF
# The following way of writing the cache mishandles newlines in values,
# but we know of no workaround that is simple, portable, and efficient.
# So, don't put newlines in cache variables' values.
# Ultrix sh set writes to stderr and can't be redirected directly,
# and sets the high bit in the cache file unless we assign to the vars.
(set) 2>&1 |
  case `(ac_space=' '; set | grep ac_space) 2>&1` in
  *ac_space=\ *)
    # `set' does not quote correctly, so add quotes (double-quote substitution
    # turns \\\\ into \\, and sed turns \\ into \).
    sed -n \
      -e "s/'/'\\\\''/g" \
      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
    ;;
  *)
    # `set' quotes correctly as required by POSIX, so do not add quotes.
    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
    ;;
  esac >> confcache
if cmp -s $cache_file confcache; then
  :
else
  if test -w $cache_file; then
    echo "updating cache $cache_file"
    cat confcache > $cache_file
  else
    echo "not updating unwritable cache $cache_file"
  fi
fi
rm -f confcache

trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15

test "x$prefix" = xNONE && prefix=$ac_default_prefix
# Let make expand exec_prefix.
test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'

# Any assignment to VPATH causes Sun make to only execute
# the first set of double-colon rules, so remove it if not needed.
# If there is a colon in the path, we need to keep it.
if test "x$srcdir" = x.; then
  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
fi

trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15

DEFS=-DHAVE_CONFIG_H

# Without the "./", some shells look in PATH for config.status.
: ${CONFIG_STATUS=./config.status}

echo creating $CONFIG_STATUS
rm -f $CONFIG_STATUS
cat > $CONFIG_STATUS <<EOF
#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
# $0 $ac_configure_args
#
# Compiler output produced by configure, useful for debugging
# configure, is in ./config.log if it exists.

ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
for ac_option
do
  case "\$ac_option" in
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
    echo "$CONFIG_STATUS generated by autoconf version 2.13"
    exit 0 ;;
  -help | --help | --hel | --he | --h)
    echo "\$ac_cs_usage"; exit 0 ;;
  *) echo "\$ac_cs_usage"; exit 1 ;;
  esac
done

ac_given_srcdir=$srcdir

trap 'rm -fr `echo "Makefile 
    kernel/Makefile
    kernel/lib-common/Makefile
    kernel/lib-common/mush/mush-config.cc
    kernel/lib-common/mush/Makefile     
    kernel/lib-common/mush/samples/Makefile
    kernel/lib-common/room/room-config.cc
    kernel/lib-common/room/Makefile     
    kernel/lib-common/room/samples/Makefile
    kernel/lib-common/parasol/Makefile  
    kernel/lib-common/parasol/samples/Makefile
    kernel/lib-common/korb/Makefile     
    kernel/lib-common/korb/samples/Makefile
    kernel/lib-common/kcom/Makefile     
    kernel/lib-common/kcom/samples/Makefile
    kernel/lib-common/kdbc/kdbc-config.cc
    kernel/lib-common/kdbc/Makefile     
    kernel/lib-common/kdbc/samples/Makefile
    kernel/lib-common/kmlc/kmlc-config.cc
    kernel/lib-common/kmlc/Makefile     
    kernel/lib-common/kmlc/samples/Makefile     
    kernel/lib-common/kasp/kasp-config.cc
    kernel/lib-common/kasp/Makefile
    kernel/lib-common/kasp/samples/Makefile
    kernel/lib-common/kisc/Makefile     
    kernel/lib-common/kisc/samples/Makefile     
    kernel/lib-domain/Makefile
    kernel/lib-domain/control/Makefile
    kernel/lib-domain/component/Makefile
    kernel/lib-domain/format/Makefile
    kernel/lib-domain/readout/Makefile
    kernel/lib-domain/buffer/Makefile
    kernel/lib-domain/stream/Makefile
    kernel/lib-domain/analysis/Makefile
    kernel/lib-domain/view/Makefile
    kernel/lib-domain/storage/Makefile
    kernel/lib-domain/samples/Makefile
    kernel/process/kisc-config.cc
    kernel/process/kinoko-config.cc
    kernel/process/Makefile 
    shell/Makefile
    shell/c++/Makefile
    shell/c++/gtk/Makefile
    shell/tcltk/Makefile
    shell/perl/Makefile
    utils/Makefile
    benchmark/Makefile 
    kinoko-cshrc
    kinoko-bashrc
 kernel/lib-common/mush/MushConfig.hh
    kernel/lib-common/room/RoomConfig.hh
    kernel/lib-common/kasp/KaspConfig.hh
" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
EOF
cat >> $CONFIG_STATUS <<EOF

# Protect against being on the right side of a sed subst in config.status.
sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
$ac_vpsub
$extrasub
s%@SHELL@%$SHELL%g
s%@CFLAGS@%$CFLAGS%g
s%@CPPFLAGS@%$CPPFLAGS%g
s%@CXXFLAGS@%$CXXFLAGS%g
s%@FFLAGS@%$FFLAGS%g
s%@DEFS@%$DEFS%g
s%@LDFLAGS@%$LDFLAGS%g
s%@LIBS@%$LIBS%g
s%@exec_prefix@%$exec_prefix%g
s%@prefix@%$prefix%g
s%@program_transform_name@%$program_transform_name%g
s%@bindir@%$bindir%g
s%@sbindir@%$sbindir%g
s%@libexecdir@%$libexecdir%g
s%@datadir@%$datadir%g
s%@sysconfdir@%$sysconfdir%g
s%@sharedstatedir@%$sharedstatedir%g
s%@localstatedir@%$localstatedir%g
s%@libdir@%$libdir%g
s%@includedir@%$includedir%g
s%@oldincludedir@%$oldincludedir%g
s%@infodir@%$infodir%g
s%@mandir@%$mandir%g
s%@CXX@%$CXX%g
s%@CXXCPP@%$CXXCPP%g
s%@RANLIB@%$RANLIB%g
s%@KINOKO_ROOT@%$KINOKO_ROOT%g
s%@MUSH_ROOT@%$MUSH_ROOT%g
s%@ROOM_ROOT@%$ROOM_ROOT%g
s%@KDBC_ROOT@%$KDBC_ROOT%g
s%@KMLC_ROOT@%$KMLC_ROOT%g
s%@KASP_ROOT@%$KASP_ROOT%g
s%@KINOKO_VERSION@%$KINOKO_VERSION%g
s%@KINOKO_RELEASE_DATE@%$KINOKO_RELEASE_DATE%g
s%@CONFIG_DATE@%$CONFIG_DATE%g
s%@CVS_TAG@%$CVS_TAG%g
s%@AR@%$AR%g
s%@ARFLAGS@%$ARFLAGS%g
s%@MAKE@%$MAKE%g
s%@XTERM_PATH@%$XTERM_PATH%g
s%@KTERM_PATH@%$KTERM_PATH%g
s%@SSH_PATH@%$SSH_PATH%g
s%@RSH_PATH@%$RSH_PATH%g
s%@REMOTE_SHELL_PATH@%$REMOTE_SHELL_PATH%g
s%@VMEDRV_PATH@%$VMEDRV_PATH%g
s%@IS_VMEDRV_USED@%$IS_VMEDRV_USED%g
s%@FRCVME_PATH@%$FRCVME_PATH%g
s%@IS_FRCVME_USED@%$IS_FRCVME_USED%g
s%@CAMDRV_PATH@%$CAMDRV_PATH%g
s%@IS_CAMDRV_USED@%$IS_CAMDRV_USED%g
s%@KEKCAMLIB_PATH@%$KEKCAMLIB_PATH%g
s%@IS_KEKCAMLIB_USED@%$IS_KEKCAMLIB_USED%g
s%@DAQFLAGS@%$DAQFLAGS%g
s%@DAQLIBS@%$DAQLIBS%g
s%@DAQDRVS@%$DAQDRVS%g
s%@IS_ZLIB_USED@%$IS_ZLIB_USED%g
s%@IS_READLINE_USED@%$IS_READLINE_USED%g
s%@SYSLIBS@%$SYSLIBS%g
s%@IS_POSTGRESQL_AVAILABLE@%$IS_POSTGRESQL_AVAILABLE%g
s%@IS_POSTGRESQL_USED@%$IS_POSTGRESQL_USED%g
s%@IS_MYSQL_AVAILABLE@%$IS_MYSQL_AVAILABLE%g
s%@IS_MYSQL_USED@%$IS_MYSQL_USED%g
s%@IS_SQLITE_USED@%$IS_SQLITE_USED%g
s%@DBFLAGS@%$DBFLAGS%g
s%@DBLIBS@%$DBLIBS%g
s%@DBDRVS@%$DBDRVS%g
s%@IS_GEMINI_USED@%$IS_GEMINI_USED%g
s%@IS_ROOT_AVAILABLE@%$IS_ROOT_AVAILABLE%g
s%@IS_ROOT_USED@%$IS_ROOT_USED%g
s%@MATHFLAGS@%$MATHFLAGS%g
s%@MATHLIBS@%$MATHLIBS%g
s%@MATHDRVS@%$MATHDRVS%g
s%@IS_GTK_AVAILABLE@%$IS_GTK_AVAILABLE%g
s%@IS_IMLIB_AVAILABLE@%$IS_IMLIB_AVAILABLE%g
s%@IS_LIBXML_AVAILABLE@%$IS_LIBXML_AVAILABLE%g
s%@IS_PERL_AVAILABLE@%$IS_PERL_AVAILABLE%g
s%@PERL_PATH@%$PERL_PATH%g
s%@IS_TCLTK_AVAILABLE@%$IS_TCLTK_AVAILABLE%g
s%@WISH_PATH@%$WISH_PATH%g
s%@IS_JAVA_AVAILABLE@%$IS_JAVA_AVAILABLE%g

CEOF
EOF

cat >> $CONFIG_STATUS <<\EOF

# Split the substitutions into bite-sized pieces for seds with
# small command number limits, like on Digital OSF/1 and HP-UX.
ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
ac_file=1 # Number of current file.
ac_beg=1 # First line for current file.
ac_end=$ac_max_sed_cmds # Line after last line for current file.
ac_more_lines=:
ac_sed_cmds=""
while $ac_more_lines; do
  if test $ac_beg -gt 1; then
    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
  else
    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
  fi
  if test ! -s conftest.s$ac_file; then
    ac_more_lines=false
    rm -f conftest.s$ac_file
  else
    if test -z "$ac_sed_cmds"; then
      ac_sed_cmds="sed -f conftest.s$ac_file"
    else
      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
    fi
    ac_file=`expr $ac_file + 1`
    ac_beg=$ac_end
    ac_end=`expr $ac_end + $ac_max_sed_cmds`
  fi
done
if test -z "$ac_sed_cmds"; then
  ac_sed_cmds=cat
fi
EOF

cat >> $CONFIG_STATUS <<EOF

CONFIG_FILES=\${CONFIG_FILES-"Makefile 
    kernel/Makefile
    kernel/lib-common/Makefile
    kernel/lib-common/mush/mush-config.cc
    kernel/lib-common/mush/Makefile     
    kernel/lib-common/mush/samples/Makefile
    kernel/lib-common/room/room-config.cc
    kernel/lib-common/room/Makefile     
    kernel/lib-common/room/samples/Makefile
    kernel/lib-common/parasol/Makefile  
    kernel/lib-common/parasol/samples/Makefile
    kernel/lib-common/korb/Makefile     
    kernel/lib-common/korb/samples/Makefile
    kernel/lib-common/kcom/Makefile     
    kernel/lib-common/kcom/samples/Makefile
    kernel/lib-common/kdbc/kdbc-config.cc
    kernel/lib-common/kdbc/Makefile     
    kernel/lib-common/kdbc/samples/Makefile
    kernel/lib-common/kmlc/kmlc-config.cc
    kernel/lib-common/kmlc/Makefile     
    kernel/lib-common/kmlc/samples/Makefile     
    kernel/lib-common/kasp/kasp-config.cc
    kernel/lib-common/kasp/Makefile
    kernel/lib-common/kasp/samples/Makefile
    kernel/lib-common/kisc/Makefile     
    kernel/lib-common/kisc/samples/Makefile     
    kernel/lib-domain/Makefile
    kernel/lib-domain/control/Makefile
    kernel/lib-domain/component/Makefile
    kernel/lib-domain/format/Makefile
    kernel/lib-domain/readout/Makefile
    kernel/lib-domain/buffer/Makefile
    kernel/lib-domain/stream/Makefile
    kernel/lib-domain/analysis/Makefile
    kernel/lib-domain/view/Makefile
    kernel/lib-domain/storage/Makefile
    kernel/lib-domain/samples/Makefile
    kernel/process/kisc-config.cc
    kernel/process/kinoko-config.cc
    kernel/process/Makefile 
    shell/Makefile
    shell/c++/Makefile
    shell/c++/gtk/Makefile
    shell/tcltk/Makefile
    shell/perl/Makefile
    utils/Makefile
    benchmark/Makefile 
    kinoko-cshrc
    kinoko-bashrc
"}
EOF
cat >> $CONFIG_STATUS <<\EOF
for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case "$ac_file" in
  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  *) ac_file_in="${ac_file}.in" ;;
  esac

  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.

  # Remove last slash and all that follows it.  Not all systems have dirname.
  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
    # The file is in a subdirectory.
    test ! -d "$ac_dir" && mkdir "$ac_dir"
    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
    # A "../" for each directory in $ac_dir_suffix.
    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
  else
    ac_dir_suffix= ac_dots=
  fi

  case "$ac_given_srcdir" in
  .)  srcdir=.
      if test -z "$ac_dots"; then top_srcdir=.
      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
  *) # Relative path.
    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
    top_srcdir="$ac_dots$ac_given_srcdir" ;;
  esac


  echo creating "$ac_file"
  rm -f "$ac_file"
  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
  case "$ac_file" in
  *Makefile*) ac_comsub="1i\\
# $configure_input" ;;
  *) ac_comsub= ;;
  esac

  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
  sed -e "$ac_comsub
s%@configure_input@%$configure_input%g
s%@srcdir@%$srcdir%g
s%@top_srcdir@%$top_srcdir%g
" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
fi; done
rm -f conftest.s*

# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
# NAME is the cpp macro being defined and VALUE is the value it is being given.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s%^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
ac_dB='\([ 	][ 	]*\)[^ 	]*%\1#\2'
ac_dC='\3'
ac_dD='%g'
# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
ac_uA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_uB='\([ 	]\)%\1#\2define\3'
ac_uC=' '
ac_uD='\4%g'
# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_eA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_eB='$%\1#\2define\3'
ac_eC=' '
ac_eD='%g'

if test "${CONFIG_HEADERS+set}" != set; then
EOF
cat >> $CONFIG_STATUS <<EOF
  CONFIG_HEADERS="kernel/lib-common/mush/MushConfig.hh
    kernel/lib-common/room/RoomConfig.hh
    kernel/lib-common/kasp/KaspConfig.hh
"
EOF
cat >> $CONFIG_STATUS <<\EOF
fi
for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case "$ac_file" in
  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  *) ac_file_in="${ac_file}.in" ;;
  esac

  echo creating $ac_file

  rm -f conftest.frag conftest.in conftest.out
  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
  cat $ac_file_inputs > conftest.in

EOF

# Transform confdefs.h into a sed script conftest.vals that substitutes
# the proper values into config.h.in to produce config.h.  And first:
# Protect against being on the right side of a sed subst in config.status.
# Protect against being in an unquoted here document in config.status.
rm -f conftest.vals
cat > conftest.hdr <<\EOF
s/[\\&%]/\\&/g
s%[\\$`]%\\&%g
s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
s%ac_d%ac_u%gp
s%ac_u%ac_e%gp
EOF
sed -n -f conftest.hdr confdefs.h > conftest.vals
rm -f conftest.hdr

# This sed command replaces #undef with comments.  This is necessary, for
# example, in the case of _POSIX_SOURCE, which is predefined and required
# on some systems where configure will not decide to define it.
cat >> conftest.vals <<\EOF
s%^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
EOF

# Break up conftest.vals because some shells have a limit on
# the size of here documents, and old seds have small limits too.

rm -f conftest.tail
while :
do
  ac_lines=`grep -c . conftest.vals`
  # grep -c gives empty output for an empty file on some AIX systems.
  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
  # Write a limited-size here document to conftest.frag.
  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
  echo 'CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in
' >> $CONFIG_STATUS
  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
  rm -f conftest.vals
  mv conftest.tail conftest.vals
done
rm -f conftest.vals

cat >> $CONFIG_STATUS <<\EOF
  rm -f conftest.frag conftest.h
  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
  cat conftest.in >> conftest.h
  rm -f conftest.in
  if cmp -s $ac_file conftest.h 2>/dev/null; then
    echo "$ac_file is unchanged"
    rm -f conftest.h
  else
    # Remove last slash and all that follows it.  Not all systems have dirname.
      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
      # The file is in a subdirectory.
      test ! -d "$ac_dir" && mkdir "$ac_dir"
    fi
    rm -f $ac_file
    mv conftest.h $ac_file
  fi
fi; done

EOF
cat >> $CONFIG_STATUS <<EOF

EOF
cat >> $CONFIG_STATUS <<\EOF

exit 0
EOF
chmod +x $CONFIG_STATUS
rm -fr confdefs* $ac_clean_files
test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1

